import type { Command, EditorView } from "@codemirror/view";
/**
 * Accepting a suggestion: we remove the ghost text, which
 * was not part of CodeMirror history, and then re-add it,
 * making sure that it _is_ added to history, and we remove
 * the Decoration that was making that ghost text look ghostly.
 */
export declare function acceptSuggestionCommand(view: EditorView): boolean;
/**
 * Cycle through suggested AI completed code.
 */
export declare const nextSuggestionCommand: Command;
/**
 * Rejecting a suggestion: this looks at the currently-shown suggestion
 * and reverses it, clears the suggestion, and makes sure
 * that we don't add that clearing transaction to history and we don't
 * trigger a new suggestion because of it.
 */
export declare function rejectSuggestionCommand(view: EditorView): boolean;
export declare function sameKeyCommand(view: EditorView, key: string): boolean;
export declare const startCompletion: Command;
//# sourceMappingURL=commands.d.ts.map